aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejs <mmokrejs@fold.natur.cuni.cz>2018-04-21 17:25:37 +0200
committerMartin Mokrejs <mmokrejs@fold.natur.cuni.cz>2018-04-21 17:25:37 +0200
commit9d6fa783c4d323bddcc63ae47a2c8c3c2d47580e (patch)
tree987de6713270428967acdef2b47d8a7c392fbcc0 /sci-biology/kat/kat-2.4.1.ebuild
parentsci-biology/gatk: add the missing license (diff)
downloadsci-9d6fa783c4d323bddcc63ae47a2c8c3c2d47580e.tar.gz
sci-9d6fa783c4d323bddcc63ae47a2c8c3c2d47580e.tar.bz2
sci-9d6fa783c4d323bddcc63ae47a2c8c3c2d47580e.zip
sci-biology/kat: version bump
Lets require >=python-3.5 for best feature availability. The source code contain bundled sci-libs/boost and sci-biology/seqan. It also contain (unfortunately modified) sci-biology/jellyfish-2.2.0 https://github.com/TGAC/KAT/issues/92 Package-Manager: Portage-2.3.28, Repoman-2.3.9
Diffstat (limited to 'sci-biology/kat/kat-2.4.1.ebuild')
-rw-r--r--sci-biology/kat/kat-2.4.1.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/sci-biology/kat/kat-2.4.1.ebuild b/sci-biology/kat/kat-2.4.1.ebuild
new file mode 100644
index 000000000..466b5431e
--- /dev/null
+++ b/sci-biology/kat/kat-2.4.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{5,6} ) # requires python >= 3.1 but more features with >=3.5
+# https://github.com/Ensembl/Bio-DB-HTS/issues/30
+
+inherit python-r1 eutils flag-o-matic
+
+DESCRIPTION="K-mer Analysis Toolkit (histogram, filter, compare sets, plot)"
+HOMEPAGE="https://github.com/TGAC/KAT"
+SRC_URI="https://github.com/TGAC/KAT/archive/Release-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS=""
+IUSE="cpu_flags_x86_sse doc"
+
+DEPEND="
+ >=dev-libs/boost-1.52
+ dev-python/tabulate
+ dev-python/matplotlib
+ dev-python/numpy
+ sci-libs/scipy
+ doc? ( dev-python/sphinx )"
+RDEPEND="${DEPEND}"
+# contains bundled *modified* version of jellyfish-2.2 which should install under different filenames
+# contains embedded sci-biology/seqan
+
+S="${WORKDIR}"/KAT-Release-"${PV}"
+
+src_prepare(){
+ default
+ sh build_boost.sh || die
+ sh autogen.sh || die
+}
+
+src_configure(){
+ local myconf=()
+ myconf+=( --disable-gnuplot ) # python3 does better image rendering, no need for gnuplot
+ use cpu_flags_x86_sse && myconf+=( $(use_with cpu_flags_x86_sse sse) ) # pass down to jellyfish-2.20/configure
+ PYTHON_VERSION=3 econf ${myconf[@]}
+}